Prompts the user to pick points that define a line.
Rhino.GetLine ([intMode [, arrPoint [, strMessage1 [, strMessage2 [, strMessage3 [, blnBothSides]]]]]])
intMode |
Optional. Integer. The line definition mode. The possible values are as follows:
|
||||||||||||||||||||||
arrPoint |
Optional. Array. An optional starting point. Of omitted, the user will be prompted for the starting point. |
||||||||||||||||||||||
strMessage1 |
Optional. String. A prompt or message for the first point. |
||||||||||||||||||||||
strMessage2 |
Optional. String. A prompt or message for the second point. |
||||||||||||||||||||||
strMessage3 |
Optional. String. A prompt or message for the mid point. |
||||||||||||||||||||||
blnBothSides |
Optional. Boolean. If intMode > 0, then use this option to draw the line on both sides of the start point, creating the object twice as long as you indicate. The default value is False, or to draw the line on just one side of the start point. |
Array |
An array of two 3-D points that define the line if successful. |
Null |
If not successful, or on error. |
Dim arrLine
arrLine = Rhino.GetLine
If IsArray(arrLine) Then
Rhino.AddLine arrLine(0), arrLine(1)
End If